Bug 497587 - email messages with subject line that contain percent character are hidden
email messages with subject line that contain percent character are hidden
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-exchange (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 16:58 EDT by Misho Krastev
Modified: 2009-06-28 21:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-28 21:16:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 587252 None None None Never

  None (edit)
Description Misho Krastev 2009-04-24 16:58:26 EDT
Description of problem:

When email message with subject line that contains % char is received Evolution displays for a fraction of second some error message (it is not long enough to see what it actually says) and then the message disappears from the Inbox. 

Note that this problem is experienced only for messages received and stored on MS Exchange server. 

Version-Release number of selected component (if applicable):

2.22.3.1

How reproducible:

Every time.

Steps to Reproduce:
1. Have someone send you email with subject line containing % character
2. Note the message appear in your Inbox
3. Click on the subject line to display the content in the message preview area
  
Actual results:

Some text (it appears to be error message to me) appears for fraction of a second, followed by the complete disappearance of the message from the Inbox.

Expected results:

Message should be displayed in the preview area.

Additional info:

Few more notes:

A. The message stays on the server, i.e. it is not deleted. It can be viewed, moved, replied to, etc. without errors, through native MS Outlook client or OWA.

B. A simpler method to reproduce the error is this:

1. Click on the button to create new message. If you have multiple accounts configured, make sure to choose in the "From" line the account for the MS Exchange server.
2. Type a "%" character in the subject line
3. Click on "Save Draft" button"
4. Observe the error message in the status bar at the bottom -- "Error while Saving message to folder"

I am not 100% certain but it seems possible to me that both problems are related or even they may have the same root cause.
Comment 1 Matthew Barnes 2009-04-25 06:39:28 EDT
Can you retest with a more recent version, either from Fedora 10 or 11?
Comment 2 Misho Krastev 2009-04-26 02:19:02 EDT
I am using Fedora and Evolution (with Exchange connector) at work. For several reasons, I can not upgrade my desktop computer at this time.

More recent version of what? Fedora or Gnome Evolution? I think this is problem with Evolution, and the MS Exchange connector specifically, so the version of Fedora should not matter.
Comment 3 Bug Zapper 2009-06-09 23:40:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matthew Barnes 2009-06-21 09:29:06 EDT
Is this bug still present on Fedora 11?
Comment 5 Misho Krastev 2009-06-22 13:00:55 EDT
I plan to upgrade to Fedora 12 when it becomes available. Until then I can only test on F9.
Comment 6 Matthew Barnes 2009-06-28 21:16:02 EDT
Moving this upstream for better visibility.
Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=587252

Note You need to log in before you can comment on or make changes to this bug.